// ************************************************************************** //
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      cmake/configurables/BABuild.h.in
//! @brief     Defines functions for access build related info.
//!
//! @homepage  http://bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2015
//! @authors   Scientific Computing Group at MLZ Garching
//
// ************************************************************************** //

#ifndef BABUILD_H
#define BABUILD_H

#include <string>

namespace BABuild {

inline std::string cmakeBinaryDir() {
    return "/builddir/build/BUILD/bornagain-v21.1/redhat-linux-build";
}
inline std::string buildLibDir() {
    return "/builddir/build/BUILD/bornagain-v21.1/redhat-linux-build/lib";
}
inline std::string buildBinDir() {
    return "/builddir/build/BUILD/bornagain-v21.1/redhat-linux-build/bin";
}
inline std::string srcDir() {
    return "/builddir/build/BUILD/bornagain-v21.1";
}

//! Methods to access info about Python used during the build.

inline std::string pythonExecutable() {
#if defined WIN32 && defined _DEBUG
    return "";
#else
    return "/usr/bin/python3.12";
#endif
}
inline std::string pythonInterpreterID() {
    return "";
}
inline std::string pythonVersionString() {
    return "3.12.0";
}
inline std::string pythonLibraries() {
    return "/usr/lib64/libpython3.12.so";
}
inline std::string pythonStdLib() {
    return "/usr/lib64/python3.12";
}
inline std::string pythonIncludeDirs() {
    return "/usr/include/python3.12";
}
inline std::string numpyIncludeDir() {
    return "/usr/lib64/python3.12/site-packages/numpy/core/include";
}
inline std::string numpyVersionString() {
    return "1.26.0";
}
inline std::string pythonSiteLib() {
    return "/usr/lib/python3.12/site-packages";
}
} // namespace BABuild

#endif
