// ************************************************************************** //
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      cmake/configurables/BAVersion.h.in
//! @brief     Defines functions for access to the package version number.
//!
//! @homepage  http://bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2015
//! @authors   Scientific Computing Group at MLZ Garching
//
// ************************************************************************** //

#ifndef BAVERSION_H
#define BAVERSION_H

#include <sstream>
#include <string>

namespace BornAgain {

const int major_version_number = 21;
const int minor_version_number = 1;

inline int GetMajorVersionNumber() {
    return major_version_number;
}
inline int GetMinorVersionNumber() {
    return minor_version_number;
}
inline std::string GetName() {
    return std::string("BornAgain");
}

inline std::string GetVersionNumber() {
    std::ostringstream ostr;
    ostr << major_version_number << "." << minor_version_number;

    return ostr.str();
}

} // namespace BornAgain

#endif // BAVERSION_H
